---
lang: en
title: 'API docs: http-server.httpoptions'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.http-server.httpoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-server](./http-server.md) &gt; [HttpOptions](./http-server.httpoptions.md)

## HttpOptions interface

HTTP server options

<b>Signature:</b>

```typescript
export interface HttpOptions extends ListenOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [protocol](./http-server.httpoptions.protocol.md) | <code>'http'</code> |  |


